Skip to main content
GET
/
events
/
{eventId}
/
detail
Get full lead activity event payload by ID
curl --request GET \
  --url https://api.leadping.ai/events/{eventId}/detail
{
  "eventType": "<string>",
  "secondaryEventType": "<string>",
  "description": "<string>",
  "eventCategory": "<string>",
  "activityCategory": "<string>",
  "conversationId": "<string>",
  "summary": "<string>",
  "direction": "<string>",
  "user": {
    "id": "<string>",
    "name": "<string>"
  },
  "userId": "<string>",
  "leadId": "<string>",
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "modifiedAt": "2023-11-07T05:31:56Z"
}

Path Parameters

eventId
string
required

The ID of the event.

Response

Event details were successfully retrieved.

API response containing event detail data returned to callers.

eventType
string

The event type classification for this event detail.

secondaryEventType
string | null

The secondary event type classification for this event detail.

description
string | null

The human-readable description of this event detail.

eventCategory
string | null
activityType
enum<string> | null

Defines the supported Activity Type values.

Available options:
Message,
Sms,
Mms,
Call,
Voicemail,
Note,
Disposition,
LeadCreated,
LeadUpdated,
Notification,
Payment,
Warmup
activityCategory
string | null
conversationId
string | null
summary
string | null
direction
string | null
status
enum<string> | null

Defines the supported Activity Status values.

Available options:
Pending,
InProgress,
Completed,
Failed,
Cancelled
user
object

A minimal Record type with an (string), (string), and maximum JSON compatibility. The reason for this type (over something like KeyValuePair, dictionary) is because of JSON serialization support.

userId
string

The user ID associated with this event detail.

leadId
string | null

The lead ID associated with this event detail.

id
string

The unique identifier for the entity.

createdAt
string<date-time>

The date and time when the entity was created.

modifiedAt
string<date-time> | null

The date and time when the entity was last modified, if applicable.